de.tsenger.androsmex.mrtd

## Class DG11

- java.lang.Object
- - de.tsenger.androsmex.mrtd.DG11

-     public class DG11
      extends java.lang.Object

  Class for DNIe v3.0 address data encapsulation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADDR_DIRECCION`
    `static int` | `ADDR_LOCALIDAD`
    `static int` | `ADDR_PROVINCIA`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DG11(byte[] rawBytes)` Creates a new instance of DG1DataContainer

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAddress(int type)`
    `java.lang.String` | `getBirthDate()`
    `java.lang.String` | `getBirthPlace()`
    `byte[]` | `getBytes()`
    `java.lang.String` | `getCustodyInfo()`
    `java.lang.String` | `getDateOfBirth()`
    `java.lang.String` | `getIcaoName()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getOtherInfo()`
    `java.lang.String` | `getPersonalNumber()`
    `java.lang.String` | `getPhone()`
    `java.lang.String` | `getProfession()`
    `java.lang.String` | `getSummary()`
    `java.lang.String` | `getTitle()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADDR_DIRECCION

          public static final int ADDR_DIRECCION

      See Also:
        Constant Field Values

    - #### ADDR_LOCALIDAD

          public static final int ADDR_LOCALIDAD

      See Also:
        Constant Field Values

    - #### ADDR_PROVINCIA

          public static final int ADDR_PROVINCIA

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DG11

          public DG11(byte[] rawBytes)

      Creates a new instance of DG1DataContainer

  - ### Method Detail

    - #### getAddress

          public java.lang.String getAddress(int type)

    - #### getBirthDate

          public java.lang.String getBirthDate()

    - #### getBirthPlace

          public java.lang.String getBirthPlace()

    - #### getBytes

          public byte[] getBytes()

    - #### getCustodyInfo

          public java.lang.String getCustodyInfo()

    - #### getDateOfBirth

          public java.lang.String getDateOfBirth()

    - #### getIcaoName

          public java.lang.String getIcaoName()

    - #### getName

          public java.lang.String getName()

    - #### getOtherInfo

          public java.lang.String getOtherInfo()

    - #### getPersonalNumber

          public java.lang.String getPersonalNumber()

    - #### getPhone

          public java.lang.String getPhone()

    - #### getProfession

          public java.lang.String getProfession()

    - #### getSummary

          public java.lang.String getSummary()

    - #### getTitle

          public java.lang.String getTitle()